Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.engines
Class AEADBaseEngine.State

    java.lang.Object
      org.bouncycastle.crypto.engines.AEADBaseEngine.State

Enclosing class:
  org.bouncycastle.crypto.engines.AEADBaseEngine

protected static class AEADBaseEngine.State
extends java.lang.Object

Field Summary
`static int` | `DEC_AAD`
`static int` | `DEC_DATA`
`static int` | `DEC_FINAL`
`static int` | `DEC_INIT`
`static AEADBaseEngine.State` | `DecAad`
`static AEADBaseEngine.State` | `DecData`
`static AEADBaseEngine.State` | `DecFinal`
`static AEADBaseEngine.State` | `DecInit`
`static int` | `ENC_AAD`
`static int` | `ENC_DATA`
`static int` | `ENC_FINAL`
`static int` | `ENC_INIT`
`static AEADBaseEngine.State` | `EncAad`
`static AEADBaseEngine.State` | `EncData`
`static AEADBaseEngine.State` | `EncFinal`
`static AEADBaseEngine.State` | `EncInit`
`static AEADBaseEngine.State` | `Uninitialized`
`static int` | `UNINITIALIZED`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNINITIALIZED

    public static final int UNINITIALIZED

See Also:
  Constant Field Values

### ENC_INIT

    public static final int ENC_INIT

See Also:
  Constant Field Values

### ENC_AAD

    public static final int ENC_AAD

See Also:
  Constant Field Values

### ENC_DATA

    public static final int ENC_DATA

See Also:
  Constant Field Values

### ENC_FINAL

    public static final int ENC_FINAL

See Also:
  Constant Field Values

### DEC_INIT

    public static final int DEC_INIT

See Also:
  Constant Field Values

### DEC_AAD

    public static final int DEC_AAD

See Also:
  Constant Field Values

### DEC_DATA

    public static final int DEC_DATA

See Also:
  Constant Field Values

### DEC_FINAL

    public static final int DEC_FINAL

See Also:
  Constant Field Values

### Uninitialized

    public static final AEADBaseEngine.State Uninitialized

### EncInit

    public static final AEADBaseEngine.State EncInit

### EncAad

    public static final AEADBaseEngine.State EncAad

### EncData

    public static final AEADBaseEngine.State EncData

### EncFinal

    public static final AEADBaseEngine.State EncFinal

### DecInit

    public static final AEADBaseEngine.State DecInit

### DecAad

    public static final AEADBaseEngine.State DecAad

### DecData

    public static final AEADBaseEngine.State DecData

### DecFinal

    public static final AEADBaseEngine.State DecFinal

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD